Bug 54539 - Redefinition of subroutines
Summary: Redefinition of subroutines
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: Other (Show other bugs)
(Show other bugs)
Version: current
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Web Development
QA Contact: Web Development
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-11 15:55 UTC by Jay Turner
Modified: 2015-01-07 23:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-25 15:15:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2001-10-11 15:55:48 UTC
Description of Problem:
Getting the following errors on app[23].rwc-colo:

redefinition of subroutine Apps::by_date at
Apps::__ASP__var_www_apps_training_index_htmlxDYN, originally defined at
Apps::__ASP__var_www_apps_include_pane_htmlxDYN

redefinition of subroutine Apps::by_date at
Apps::__ASP__var_www_apps_community_index_htmlxDYN, originally defined at
Apps::__ASP__var_www_apps_include_pane_htmlxDYN
Version-Release number of selected component (if applicable):

Got about 40 of each over 12 hour period on 10/11/01.

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Tom Lancaster 2001-11-13 23:24:15 UTC
I have renamed the subroutine by_date() in lug_events.apm to 
lug_by_date() to prevent a clash with the same-named sub in saba_search pane.
I think this is what is causing these warnings.
Please test both the training search and the lug_events calendar in the
community section to ensure we haven't broken anything with this fix.
This is in webqa.


Note You need to log in before you can comment on or make changes to this bug.